Bug 1464610 - Service Requests are not seen by user in Global Region
Service Requests are not seen by user in Global Region
Status: POST
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Replication (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.9.0
Assigned To: Yuri Rudman
Alex Newman
replication:distributed:service
: TestOnly, ZStream
Depends On:
Blocks: 1473336
  Show dependency treegraph
 
Reported: 2017-06-23 18:40 EDT by Brant Evans
Modified: 2017-07-20 10:11 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1473336 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Description Brant Evans 2017-06-23 18:40:34 EDT
Description of problem:
In a multi-region setup where services are ordered from the global region (central administration), the service requests are not visible to the user who made the request.

The requests are replicated to the global as expected, and can be seen by the admin user, but a normal user with RBAC cannot see the service requests. If the user logs into the lower region the service request is able to be seen.

Version-Release number of selected component (if applicable):
5.8.0

How reproducible:
Always

Steps to Reproduce:
1. Deploy a multi-region environment with authentication setup to be able to use central administration
2. Add a group that has a non-admin role (e.g. EvmRole-user_self_service)
2. Create a Service Catalog Item in the lower region and enable it to be seen by the above created group
3. Login to the Global Region OPS UI or SUI as a user in the above group and order the Catalog Item.
4. Find that the request is not shown in the Global Region
5. Login to the lower region OPS UI or SUI as the user and find that the user can see the request.
6. Login to the Global region OPS or SUI as the admin user find that the request can be seen.

Actual results:
A user is not able to see their requests from the Global region.

Expected results:
A user is able to see their requests from the Global region.

Additional info:
Comment 2 Joe Vlcek 2017-07-14 09:59:23 EDT
After fixing BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1468285, where users
are unable to log into the global region, the issue described in the BZ was encountered by the user.

This BZ will be used to track the issue where the end user is unable to see catalog item from global ui.
Comment 5 CFME Bot 2017-07-20 10:04:02 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/524e228f479e2a16164a6dc9dcf9677aca6ad947

commit 524e228f479e2a16164a6dc9dcf9677aca6ad947
Author:     Yuri Rudman <yrudman@redhat.com>
AuthorDate: Thu Jul 20 08:38:58 2017 -0400
Commit:     Yuri Rudman <yrudman@redhat.com>
CommitDate: Thu Jul 20 08:38:58 2017 -0400

    make request visible to all users who have the same userid as requster
    https://bugzilla.redhat.com/show_bug.cgi?id=1464610

 app/controllers/miq_request_controller.rb | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

Note You need to log in before you can comment on or make changes to this bug.